🌍 Astrocartography API and ✋ Palmistry API are now live. Ship them in your app today.Get Started

Wheel Chart Tropical

The natal_wheel_chart API generates a natal chart based on birth details.
POSThttps://json.astrologyapi.com/v1/natal_wheel_chart

Authentication

x-astrologyapi-keystringrequired

API access token used to authenticate requests. Send your access token in this custom header.

Accept-Languagestring

Preferred language for the response content. Supported: English - en.

Body parameters

dayintrequired

Date of birth, eg: 10

monthintrequired

Month of birth, eg: 5

yearintrequired

Year of birth, eg: 1990

hourintrequired

Hour of birth, eg: 19

minintrequired

Minute of birth, eg: 55

latfloatrequired

Latitude, eg: 19.2056

lonfloatrequired

Longitude, eg: 25.2056

tzonefloatrequired

Timezone, eg: 5.5

planet_icon_colorstringrequired

Color of the planet icon, eg: #F57C00

inner_circle_backgroundstringrequired

Background color of the inner circle, eg: #FFF8E1

sign_icon_colorstringrequired

Color of the sign icon, eg: red

sign_backgroundstringrequired

Background color of the sign, eg: #ffffff

chart_sizeintrequired

Size of the chart, eg: 500

image_typestringrequired

Type of image format, eg: png

house_typestringrequired

Default : placidus // koch/topocentric/poryphry/equal_house/whole_sign

curl --location 'https://json.astrologyapi.com/v1/natal_wheel_chart' \
  --header 'Content-Type: application/json' \
  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
  --data '{
    "day": 10,
    "month": 5,
    "year": 1990,
    "hour": 19,
    "min": 55,
    "lat": 19.2056,
    "lon": 25.2056,
    "tzone": 5.5,
    "planet_icon_color": "#F57C00",
    "inner_circle_background": "#FFF8E1",
    "sign_icon_color": "red",
    "sign_background": "#ffffff",
    "chart_size": 500,
    "image_type": "png",
    "house_type": "placidus"
}'
Try it

Runs with sample data — no API key needed

{
  "status": true,
  "chart_url": "https://s3.ap-south-1.amazonaws.com/western-chart/65a7ab90-df91-11e9-9ab4-a70005bb269b.svg",
  "msg": "Chart created successfully!"
}